%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             picketbox
Version:          4.9.6
Release:          %mkrel 1
Group:            Development/Java
Summary:          Security framework for Java Applications
License:          LGPLv2+
URL:              http://picketbox.jboss.org

Source0:          https://github.com/picketbox/picketbox/archive/v%{namedversion}.tar.gz
Source1:          picketbox-%{namedversion}-pom.xml

# Until this is merged: https://github.com/picketbox/picketbox/pull/61
Patch0:           picketbox-assembly.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(javax.persistence:persistence-api)
BuildRequires:    mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires:    mvn(org.hibernate:hibernate-core:3)
BuildRequires:    mvn(org.hibernate:hibernate-entitymanager:3)
BuildRequires:    mvn(org.infinispan:infinispan-core)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)
BuildRequires:    mvn(org.jboss.security:jbossxacml)
BuildRequires:    mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec)
BuildRequires:    mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.5_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.picketbox:picketbox-commons)

%description
Java Security Framework that provides Java developers the following
functionality:

- Authentication Support
- Authorization Support
- Audit Support
- Security Mapping Support
- An Oasis XACML v2.0 compliant engine

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

# Change hibernate version
%pom_change_dep org.hibernate: ::3 security-jboss-sx/acl

%pom_remove_dep "org.hibernate:hibernate-annotations" security-jboss-sx/acl/pom.xml
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec security-spi/spi
%pom_change_dep :servlet-api org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec:1.0.2.Final security-spi/parent

# Disable default-jar execution of maven-jar-plugin, which is causing
# problems with version 3.0.0 of the plugin.
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
<execution>
  <id>default-jar</id>
  <phase>skip</phase>
</execution>" security-jboss-sx/jbosssx-client

%build

%mvn_build -f

%install
%mvn_install

# Assembly jar
install -pm 644  assembly/target/picketbox-%{namedversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%files -f .mfiles
%files javadoc -f .mfiles-javadoc



%changelog
* Sat May 13 2017 neoclust <neoclust> 4.9.6-1.mga6
+ Revision: 1100850
- New version 4.9.6.Final
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 4.0.21-0.3.Beta1.1.mga6
+ Revision: 978113
- sync package picketbox with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.0.21-0.Beta1.2.mga5
+ Revision: 806513
- Clean rebuild
- Sync with Fedora 21 (update to 4.0.21 Beta1)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Jan 04 2014 dmorgan <dmorgan> 4.0.18-2.mga4
+ Revision: 564508
- Rebuild against fixed stack

* Fri Dec 27 2013 dmorgan <dmorgan> 4.0.18-1.mga4
+ Revision: 560922
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.0.6-3.mga3
+ Revision: 377686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 4.0.6-2.mga3
+ Revision: 330531
- Clean spec file

  + gil <gil>
    - imported package picketbox

